﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=10.2
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: true
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public Faktor = 0 As Float
	Private xui As XUI
	Public Bildnummer  As Int
	Public MaxAnz As Int
	Public ImvAnz As Int
	Public Verzeichnis As String
	Public Dateiliste As List
	Public nBild As Int
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Public bmpFoto As B4XBitmap
	Public FotoB, FotoH As Int
	Private btndown As Button
	Private btnUp As Button
	Private ivs() As B4XView
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("Galerie1")
	AddImageViews(5, 3)
	
	Verzeichnis = Main.Verzeichnis '"storage/0096-1800/DCIM/Camera"
'	Verzeichnis = "storage/6C7A-79EC/DCIM/Camera"
	Private Liste As List
	Private str As String
	Dateiliste.Initialize
	Liste = File.ListFiles(Verzeichnis)
	For i = 0 To Liste.Size - 1
		str = Liste.Get(i)
		If str.EndsWith("jpg") Then
			Dateiliste.Add(str)
		End If
	Next
'	MaxAnz = i -1
	MaxAnz = Dateiliste.Size
	InfoIntern
	Foto_oeffnen
	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub InfoIntern
	Dim oBreit As Int=100%x-1dip
	Dim oHoch As Int=100%y-1dip
	Log("Bildschirmbreite " & oBreit)
	Log("Bildschirmhöhe " & oHoch)
End Sub


Sub Bildpara(Bild As String)
	Private bmp As Bitmap = LoadBitmap(Verzeichnis, Bild)
	' Hier mal Berechnung für verschiedene Handys durchführen
	Faktor= bmp.Width /  bmp.Height
	FotoB=440 ' Vorläufige Breite zum Test
	FotoH= 440
End Sub

Sub AddImageViews(NbRows As Int, NbCols As Int)
	Private row, col, j, Left, Top, Space As Int
	
	ImvAnz = NbRows * NbCols
	Dim ivs(ImvAnz) As B4XView
	
	Space = 10dip
	FotoB = (100%x - (NbCols + 1) * Space) / NbCols
	FotoH = FotoB
	For row = 0 To NbRows - 1
		Top = Space + row * (FotoH + Space)
		For col = 0 To NbCols - 1
			j = row * NbCols + col
			Left = Space + col * (FotoB + Space)
			Private imv As ImageView
			imv.Initialize("ivs")
			imv.Gravity = Gravity.CENTER
			Activity.AddView(imv, Left, Top, FotoB, FotoH)
			ivs(j) = imv
		Next
	Next
End Sub

Sub Foto_oeffnen
	Private BNr  = 0 As Int
	Dim Bild As String
	
	For i = 0 To ImvAnz - 1
		BNr = Bildnummer + i
		Bild=Dateiliste.Get(BNr)
'		Bildpara (Bild)
'		bmpFoto = LoadBitmapSample(Verzeichnis,Bild, FotoB, FotoH)
		bmpFoto = LoadBitmapResize(Verzeichnis,Bild, FotoB, FotoH, True)	'rechteckig
'		bmpFoto = LoadBitmapResize(Verzeichnis,Bild, FotoB, FotoH, False)	'quadratisch
		ivs(i).SetBitmap(bmpFoto)
		ivs(i).Width = FotoB
		ivs(i).Height = FotoH
		ivs(i).Tag = i
	Next
End Sub

Sub btndown_Click
	If Bildnummer + 8 > MaxAnz Then
		Bildnummer=MaxAnz-5
		btndown.Enabled=False
	Else
		Bildnummer =Bildnummer + 8
	End If
	
	If Bildnummer +8 <MaxAnz Then
		Foto_oeffnen
		btnUp.Enabled=True
	Else
		btndown.Enabled=False
	End If
	
End Sub

Sub btnUp_Click
	Bildnummer=Bildnummer -8
	If Bildnummer <=0 Then
		Bildnummer=0
		btnUp.Enabled=False
	End If
	btndown.Enabled=True
	Foto_oeffnen
End Sub


Sub ivs_Click
	Private imv As ImageView
	Private i As Int
	
	imv = Sender
	i = imv.Tag
	
	nBild = Bildnummer + i
	StartActivity("Viewer")
End Sub
